package com.qmth.exam.reserve.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.boot.core.collection.PageResult;
import com.qmth.exam.reserve.bean.login.LoginUser;
import com.qmth.exam.reserve.bean.room.ExamRoomReq;
import com.qmth.exam.reserve.bean.room.ExamRoomSaveReq;
import com.qmth.exam.reserve.bean.room.ExamRoomVO;
import com.qmth.exam.reserve.entity.ExamRoomEntity;

import java.io.InputStream;
import java.util.List;
import java.util.Map;

public interface ExamRoomService extends IService<ExamRoomEntity> {

    PageResult<ExamRoomVO> pageExamRoom(ExamRoomReq req);

    void saveExamRoom(LoginUser user, ExamRoomSaveReq req);

    void enable(Long id, Boolean enable);

    List<Map<String, Object>> importExamRoom(LoginUser user, InputStream inputStream);

    List<ExamRoomEntity> listExamRoom(Long examSiteId);
}
